Get Bookings By Date
The enpoint /reservations/get returns an array of bookings for a given date range.
Parameters:
dateBeginstring, the start of the desired time window in UTC ISO 8601.dateEndstring, the end of the desired time window in UTC ISO 8601.poolstring to identify the Wherewolf app making the request.keystring to authenticate the request.
Request example
curl 'https://api.wherewolf.co.nz/reservations/get' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
--data-raw '{"dateBegin":"2025-12-16T08:00:00.000Z","dateEnd":"2025-12-17T07:59:59.999Z","key":"__API_KEY__","pool":"__APP_POOL_ID__"}'
Where API_KEY is a placeholder for your API key and APP_POOL_ID is a placeholder for your app pool id.
The response is an object that includes an array of bookings (aka reservations) filtered by the provided period. Each booking object contains many properties that may be filled depending on the use case.
The response structure looks like:
{
"success": true,
"bookings": [___BOOKINGS_ARRAY___],
}
Some commonly found properties of a booking object are:
idunique identifier of the booking.dateBegindate of the booking start in UTC ISO 8601.dateEnddate of the booking end in UTC ISO 8601.statusstring indicating the status of the booking e.g.Active.customerobject containing the booker’s details (the booker may or not be a participant of the booking).webobject that contains links, the most used one isweb.basewhich is the link to be shared to the booker and any participants of the booking. This link allows signing waivers under the booking.